* {
  box-sizing: border-box;
}

.container {
  /* width: 100%; */
  /* width: 85%; */
  /* width: 80%; */
}

button {
  border-radius: 9px;
  font-size: 30px;
  font-weight: bold;
  padding: 15px 15px;
  background-color: rgba(144, 44, 44, 0.615);
  cursor: pointer;
}

.select {
  font-size: 30px;
  font-weight: bold;
  padding: 15px 15px;
  background-color: rgba(144, 44, 44, 0.615);
  border-radius: 9px;
  cursor: pointer;
}

.result-container {
  flex-basis: fill;
}

table {
  margin: 0 auto;
  /* width: 100%; */
  border: 1px solid black;
  background-color: rgb(51, 101, 34);
}

.menu-container {
  margin: 0 auto;
  width: 980px;
  background-color: rgb(51, 101, 34);
  border: 3px solid black;
  border-bottom: none;
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
  padding: 10px 10px;
}

td {
  height: 70px;
  width: 70px;
  border: 2px solid black;
  cursor: pointer;
  text-align: center;
}

td p {
  padding: 0;
  margin: 0;
  font-size: 27px;
  font-weight: bold;

  visibility: hidden;

  /* opacity: 0.3; */
}

.show {
  background-color: rgba(144, 44, 44, 0.615);
}

.show p {
  visibility: visible;
}

.flag {
  position: relative;
}

.flag::before {
  position: absolute;
  content: "";
  width: 40px;
  height: 40px;
  background-image: url(../img/flag.png);
  background-position: center;
  background-size: cover;
  top: 10%;
  left: 30%;
  z-index: 3;
}

.bomb {
  background-color: rgba(255, 0, 0, 0.453);
  height: 100%;
  border-radius: 50%;
  position: relative;
  color: transparent;
}

.bomb::after {
  position: absolute;
  content: "";
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background-image: url(../img/land_mine.png);
  background-position: center;
  background-size: cover;
  top: 16%;
  left: 20%;
}

.empty {
  display: none;
}

.section__one {
  color: rgb(17, 17, 226);
}

.section__two {
  color: rgb(48, 195, 48);
}

.section__three {
  color: rgb(216, 40, 40);
}

.section__four {
  color: rgb(232, 208, 22);
}

.section__five {
  color: black;
}
